org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodGenericAbstractBeanB<T>

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericAbstractBeanB<T>

Direct Known Subclasses:
  FallbackMethodGenericAbstractBeanA

    public abstract class FallbackMethodGenericAbstractBeanB<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodGenericAbstractBeanB()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract String` `fallback(int a, T b)`
`String` `method(int a, T b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodGenericAbstractBeanB

    public FallbackMethodGenericAbstractBeanB()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              T b)

#### fallback

    protected abstract String fallback(int a,
                                       T b)